#!/bin/bash
if [ -z $TESTRTDIR ]
then
echo please set TESTRTDIR first!
exit 1
fi

JAVA_HOME=$TESTRTDIR/jdk/jre
PATH=$TESTRTDIR/jdk/jre/bin:$PATH

JAVA=`java -version > /dev/null 2>&1`
if [ $? != 0 ]
then
	echo "Java not found"
	echo "Please set JAVA_HOME and PATH variables to a newer java kit"
	exit 1
fi

VER=`java -version 2>&1 | head -n1|awk '{print $NF}'`

if [ `echo $VER | grep "1.4"` ]
then
	echo "Bad java release ! Minimum is java 1.5"
	echo "Please set JAVA_HOME and PATH variables to a newer java kit"
	echo "A jre can be found into $TESTRTDIR/jdk/jre/bin"
	exit 1
fi

echo "To get more log, set the environment variable TESTRTRQMLOG as follow"
echo "export TESTRTRQMLOG=/tmp/TestRTrqmLog.log"

rm -f TestRTAdapter.log

find $TESTRTDIR/RQMAdapter -name '*.jar' | sort -r > jars.txt

if [ 0 == 1 ]
then
# modify following list to run specific version. Once 'if [ 0' changed to 'if [ 1'  above
 find $TESTRTDIR/RQMAdapter -name testrtAdapter.jar > jars.txt
 find $TESTRTDIR/RQMAdapter -name com.ibm.rqm.adapter.commandline_2.0.0.v20110628_2008.jar >>jars.txt
 find $TESTRTDIR/RQMAdapter -name com.ibm.rqm.adapter.library_2.0.2.v20110511_1017.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name integration.client.jar | grep "com.ibm.rqm.integration.client_3.0.1.v20110815_0550" >> jars.txt
 find $TESTRTDIR/RQMAdapter -name commons-codec-1.3.jar | grep "com.ibm.rqm.integration.client_3.0.1.v20110815_0550" >> jars.txt
 find $TESTRTDIR/RQMAdapter -name commons-httpclient-3.0.jar | grep "com.ibm.rqm.integration.client_3.0.1.v20110815_0550" >> jars.txt
 find $TESTRTDIR/RQMAdapter -name org.apache.commons.logging_1.0.4.v20080605-1930.jar | grep "com.ibm.rqm.integration.client_3.0.1.v20110815_0550" >> jars.txt
 find $TESTRTDIR/RQMAdapter -name abdera.client.0.3.0-incubating.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name abdera.core.0.3.0-incubating.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name abdera.parser.0.3.0-incubating.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name commons-logging-1.0.4.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name log4j-1.2.14.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name abdera-i18n-0.3.0-incubating.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name stax-api.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name axiom-api-1.2.5.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name axiom-impl-1.2.5.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name jaxen-1.1.1.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name geronimo-activation_1.0.2_spec-1.1.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name xlxpScanner.jar >> jars.txt
 find $TESTRTDIR/RQMAdapter -name xlxpScannerUtils.jar >> jars.txt
fi

CLPATH=""
for line in $(cat jars.txt)
do
CLPATH=$line:$CLPATH
done

$TESTRTDIR/testrtinit.sh

java -Dlog4j.configuration=file:$TESTRTDIR/RQMAdapter/TestRTAdapter/log4j.properties -classpath "$CLPATH" com.ibm.rqm.adapter.testrt.QMTestRTAdapter $*
